<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/dp_10"
        android:background="@drawable/shape_white_eight_corners_bg"
        android:orientation="vertical"
        android:paddingLeft="@dimen/dp_10"
        android:paddingRight="@dimen/dp_10"
        android:paddingBottom="@dimen/dp_17">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_16"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tv_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="消耗庫存："
                android:textColor="@color/color_3c"
                android:textSize="@dimen/dp_15" />

            <EditText
                android:id="@+id/et_input"
                android:layout_width="0dp"
                android:layout_height="@dimen/dp_38"
                android:layout_weight="1"
                android:background="@drawable/selector_edit_48_aaa_bg"
                android:inputType="number"
                android:maxLines="1"
                android:paddingLeft="@dimen/dp_5"
                android:paddingTop="@dimen/dp_2"
                android:paddingRight="@dimen/dp_5"
                android:paddingBottom="@dimen/dp_2"
                android:text=""
                android:textColor="@color/color_3c"
                android:textCursorDrawable="@drawable/cursor_theme"
                android:textSize="@dimen/sp_14" />

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="wrap_content"
                android:layout_height="match_parent">

                <androidx.appcompat.widget.SwitchCompat
                    android:id="@+id/switch_multi_boolean_state"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_5"
                    android:shadowColor="@color/trans"
                    android:text="打印："
                    android:thumb="@drawable/shape_thumb_on"
                    android:track="@drawable/selector_switch_track"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:switchPadding="@dimen/dp_5" />

            </androidx.constraintlayout.widget.ConstraintLayout>
        </LinearLayout>

        <TextView
            android:id="@+id/tv_update_reason"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_15"
            android:text="更新原因："
            android:textColor="@color/color_3c"
            android:textSize="@dimen/dp_15" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_inventory_consumption_reason"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_10" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_20"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tv_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/str_remark_colon"
                android:textColor="@color/color_3c"
                android:textSize="@dimen/dp_17" />

            <EditText
                android:id="@+id/ed_inventory_consumption_remark"
                style="@style/Remark_editStyle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="手動輸入"
                android:text="" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/layout_inventory_btn"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_20"
            android:orientation="horizontal"
            android:visibility="gone">

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/tv_confirm"
                style="@style/app_btn_style"
                android:layout_width="@dimen/dp_0"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:paddingTop="@dimen/dp_12"
                android:paddingBottom="@dimen/dp_12"
                android:text="@string/str_determine" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/tv_cancel"
                style="@style/Cancel_Btn_Style"
                android:layout_width="@dimen/dp_0"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_13"
                android:layout_weight="1"
                android:gravity="center"
                android:paddingTop="@dimen/dp_12"
                android:paddingBottom="@dimen/dp_12"
                android:text="@string/str_cancel" />
        </LinearLayout>
    </LinearLayout>
</FrameLayout>
